#include <akaxiso/akaxiso.h>
#include <akaxiso/content_model.h>
#include <iostream>

int main() {

  aka::initialize();
  aka::doctype("smallest_document", aka::nill_leaf());

  {
    aka::xml_parser parser;
    aka::document doc = parser.parse_stdin();
    std::cout << "Document (" << doc.get_name() << ") is parsed." << std::endl;
  }
    
  aka::uninitialize();
}
